<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="filter"/>
	<xsl:param name="selections"/>

  <xsl:template match="/resultset">
  <div>
  	<style>
 .transparent {
	filter:alpha(opacity=50);
	-moz-opacity:0.5;
	-khtml-opacity: 0.5;
	opacity: 0.5;
	z-index:1;
}

.opaque {
	filter:alpha(opacity=100);
	-moz-opacity:1.0;
	-khtml-opacity: 1.0;
	opacity: 1.0;
	z-index:2;
}
  	</style>
  	<script language="javascript" type="text/javascript">
  	<![CDATA[
  	function submitFilter()
  	{
  		document.getElementById("filterform").submit();
  	}
  	
	function selectAll(name)
	{	
		b=true;
		if(name=="mark-remove")
		{	b=confirm("Are you sure you want to remove all of these packages?");
		}
		if(b)
		{ 	
			a=document.getElementsByName(name);
			for(i=0; i!=a.length; i++)
			{	a[i].checked=true;
			}
		}
	}
	
	
	]]>
  	</script>
    <p>
    	<table class="template-info-widget oddrow" style="margin-bottom: 5px;" width="570px;">
    	<tr>
    	<td>
    	<table>
    	<tr>
    	<td>
    	<h3>Package Filter</h3>
    	<form id="filterform" action="" method="POST">
    		<table>
    		<tr>
	    	<td>
	    		Show:
	    		<input type="checkbox" name="showInstalled" value="true" onclick="submitFilter()">
	    			<xsl:if test="$filter/filter/showInstalled='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
	    		</input> Installed,
	    		 <input type="checkbox" name="showNotInstalled" value="true" onclick="submitFilter()">
	    			<xsl:if test="$filter/filter/showNotInstalled='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
	    		</input> Not Installed
	    	</td>
	     
	    	</tr>
	    	<tr>
    		<td colspan="3">
    		<div style="white-space:nowrap;">
    		Repository: 
    			<span id="selectRepo">
    				<select name="repo"><option/></select>
    			</span>
    		Set:
    			<span id="selectSet">
    				<select name="set"><option/></select>
    			</span>
    			</div>
    		</td>
    	</tr>
	    	<tr>
	    	<td>
    		Name Matches: <input type="text" name="match" >
    			<xsl:if test="not($filter/filter/match='no-match')">
    				<xsl:attribute name="value"><xsl:value-of select="$filter/filter/match"/></xsl:attribute>
    			</xsl:if>
    		</input>
    		<input type="submit" value="Apply Filters"/>
    		</td>
    		</tr>
    		<tr>
    			<td colspan="3"><input type="submit" value="Reset All Filters" name="filter-reset"/></td>
    		</tr>
    		</table>
    	</form>
    	</td>
    	</tr>
    	</table>
    	</td>
    	<td>
    	<div  style="padding: 5px; margin-left: 5px;">
    	<h3>Controls</h3>
    		<xsl:if test="row/HASUPDATE='true' or row/HASSECURITY='true'">
    	<div class="update" style="margin-top: 5px; margin-left: 5px; padding: 5px; border: 1px solid #6A6A6A;">
    		<table>
    			<tr>
    				<td>Updates are available.</td>
    			</tr>
    			<tr>
    				<td align="center">
    					   <button>
    					   	<xsl:attribute name="onclick">parent.location='update?ids=<xsl:for-each select="row[HASUPDATE='true' or HASSECURITY='true']"><xsl:value-of select="VERSIONID"/>,</xsl:for-each>'</xsl:attribute>
    					   Select All Updates
    					   </button>
    				</td>
    			</tr>
    		</table>
    	</div>
    </xsl:if>
    	<div style="padding: 5px;">
    		<input type="button" value="Package Upload" onclick="reveal('uploadform')" title="Toggle Package Upload View"/>
    		<input type="button" value="History" onclick="reveal('history')" title="Toggle Transaction History View"/>
    	</div>
    	</div>
    	</td>
    	</tr>
    	</table>
    </p>
    
    
    
    <form action="pick" method="post">
    <table cellpadding="2" cellspacing="0">
    	<tr class="vis-title">
    	<td>
    	</td>
    	<td>
    	</td>
    	<td>
    		Installed
    	</td>
    	<td>
    		Name
    	</td>
    	<td>
    		Runlevel
    	</td>
    	<td>
    		Version
    	</td>
    	<td colspan="3">
    		<table>
    			<tr>
    				<td colspan="3" align="center">Pick List <input type="submit" value="Select Picks"/></td>
    			</tr>
    			<tr>
    				<td style="font-size: 75%;">Install</td>
    				<td style="font-size: 75%;">Update</td>
    				<td style="font-size: 75%;">Remove</td>
    			</tr>
    			<tr>
    				<td style="font-size: 75%;" align="center"><input type="button" onclick="selectAll('mark-install')" value="All" title="Select all installs"/></td>
    				<td style="font-size: 75%;" align="center"><input type="button" onclick="selectAll('mark-update')" value="All" title="Select all updates"/></td>
					<td style="font-size: 75%;" align="center"><input type="button" onclick="selectAll('mark-remove')" value="All" title="Select all removals"/></td>    				
    			</tr>
    		</table>
    	</td>
    	</tr>
    	<xsl:apply-templates/>
    	<tr class="vis-title">
    	<td colspan="6"/>
    	<td colspan="3" align="center">
    	 	<input type="submit" value="Select Picks"/>
    	</td>
    	</tr>
    </table>
    </form>
    <script language="javascript" type="text/javascript">
    changeRepo(<xsl:value-of select="$filter/filter/repo"/>);
    </script>
    <script language="javascript" type="text/javascript">
    setTimeout("changeSet(<xsl:value-of select="$filter/filter/set"/>)", 500);
    </script>
    </div>
  </xsl:template>
  
  <xsl:template match="row">
  	<xsl:variable name="vid" select="VERSIONID"/>
  	<xsl:if test=" not ( $selections/selections/selection[id = $vid] )">
  	<tr>
  		<xsl:choose>
  			<xsl:when test="HASUPDATE='true' ">
  				<xsl:attribute name="class">update</xsl:attribute>
  			</xsl:when>
  			<xsl:when test="HASSECURITY='true' ">
  				<xsl:attribute name="class">security</xsl:attribute>
  			</xsl:when>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  			<input type="button" value="details" onclick="document.location='package/{ID}'" class="plain-btn"/>
  		</td>
  		<td>
  			<xsl:if test="RUNLEVEL&lt;=1">
  				<img src="/nkse/style/img/favicon.png"/>
  			</xsl:if>
  		</td>
  		
  		<td align="center">
  			<input type="checkbox" value="{ID}" disabled="">
  			<xsl:if test="INSTALLED='true'">
  				<xsl:attribute name="checked"></xsl:attribute>
  			</xsl:if>
  			</input>
  		</td>
  		<td>
  			<xsl:value-of select="NAME"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="RUNLEVEL"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="VP"/>
  		</td>
  		<td style="background-color: #9999CC; width: 30px;" class="transparent" align="center">
 			<xsl:if test="INSTALLED='false' and RUNLEVEL&gt;2">
 				<input name="mark-install"  type="checkbox" class="opaque plain-btn" value="{VERSIONID},install"  title="Install"/>
 			</xsl:if>
  		</td>
  		<td style="background-color:#99CC99; width: 30px;" class="transparent" align="center">
 			<xsl:if test="HASUPDATE='true' or HASSECURITY='true'">
 				<input name="mark-update"  type="checkbox" class="opaque plain-btn" value="{VERSIONID},update" title="Update"/>
 			</xsl:if>
 		</td>
  		<td style="background-color:#CC9999; width: 30px;" class="transparent" align="center" >
 			<xsl:if test="INSTALLED='true' and RUNLEVEL&gt;2">
 				<input name="mark-remove"  type="checkbox" class="opaque plain-btn" value="{VERSIONID},remove"  title="Remove"/>
 			</xsl:if>
  		</td>
  	</tr>
  	</xsl:if>
  </xsl:template>

</xsl:stylesheet> 
