package org.netkernel.packge.endpoint;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.netkernel.layer0.boot.IModule;
import org.netkernel.layer0.boot.ModuleManager;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.IHDSNodeList;
import org.netkernel.layer0.representation.impl.HDSBuilder;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class DeployerReconcileDependenciesAccessor extends StandardAccessorImpl
{
	public DeployerReconcileDependenciesAccessor()
	{	this.declareThreadSafe();		
	}

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	List<IModule> modlist=ModuleManager.getSingleton().getModules();
		Map<String, ArrayList<IModule>> mods=new HashMap(modlist.size());
		for(int i=0; i<modlist.size(); i++)
		{	IModule m=modlist.get(i);
			ArrayList l=mods.get(m.getMeta().getIdentifier());
			if(l==null)
			{	l=new ArrayList();
			}
			l.add(m);
			mods.put(m.getMeta().getIdentifier(), l);
		}
		String packageURI=context.getThisRequest().getArgumentValue("operand");
		
		IHDSNode manifest=context.source(packageURI+"!/manifest.xml", IHDSNode.class);
		Map<String, String> pmods=new HashMap();
		IHDSNodeList modules=manifest.getNodes("/manifest/module");
		for(int i=0; i<modules.size(); i++)
		{	IHDSNode n=modules.get(i);
			String src=(String)n.getFirstValue("uri");
			pmods.put(src,src);
		}
		HDSBuilder b=new HDSBuilder();
		boolean responseNeeded=false;
		b.pushNode("required");
		for(int i=0; i<modules.size(); i++)
		{	IHDSNode n=modules.get(i);
			IHDSNodeList deps=n.getNodes("dependencies/dependent");
			for(int j=0; j<deps.size(); j++)
			{	IHDSNode m=deps.get(j);
				String id=(String)m.getFirstValue("uri");
				//TODO Implement version checking
				Object test=mods.get(id);
				if(test==null)
				{	test=pmods.get(id);
				}
				if(test==null)
				{	b.importNode(m);
					responseNeeded=true;
				}
			}
		}
		b.popNode();
		
		if(responseNeeded)
		{	context.createResponseFrom(b.getRoot());
		}
	}

	
}
